<template>
  <div class="order-complete-radio">
    <div class="title-bg-view">
      <ChartTitle name="订单完成比率"></ChartTitle>
    </div>
    <div class="list-view">
      <template v-for="item in tableList">
        <div class="table-bg-view">
          <div class="left">{{ item.title }}</div>
          <div class="middle" ref="middle">
            <el-progress
              :stroke-width="20"
              :text-inside="true"
              :percentage="item.radio"
              :define-back-color="'#083f55'"
              :text-color="'#fec718'"
              :class="item.radio < 90 ? 'setTitle-right' : 'setTitle-left'"
            ></el-progress>
          </div>
        </div>
      </template>
    </div>
  </div>
</template>

<script>
import ChartTitle from "@/views/cockpitPage/components/ChartTitle.vue";
export default {
  components: {
    ChartTitle,
  },
  props: {
    orderCompleteObject: {
      type: Object,
      default: () => {
        return {
          startIndex: 0,
          orderCompleteList: [],
        };
      },
    },
  },
  data() {
    return {
      startIndex: 0,
      time: 0,
    };
  },
  mounted() {
    setInterval(() => {
      this.startIndex += 4;
    }, 5000);
  },
  computed: {
    tableList: {
      get() {
        if (
          this.startIndex > this.orderCompleteObject.orderCompleteList.length
        ) {
          this.startIndex = 0;
        }
        return this.orderCompleteObject.orderCompleteList.slice(
          this.startIndex,
          this.startIndex + 4
        );
      },
      set(val) {
        console.log(val);
      },
    },
  },
  watch: {
    "orderCompleteObject.orderCompleteList"(val) {
      console.log(val, "ssssssssss");
      this.startIndex = this.orderCompleteObject.startIndex;
    },
  },
  methods: {},
};
</script>

<style scoped lang="scss">
.order-complete-radio {
  width: calc(100% - 20px);
  height: calc(100% - 20px);
  margin-top: 10px;
  .title-bg-view {
    width: calc(100% - 20px);
  }
  .list-view {
    height: calc(100% - 20px);
    .table-bg-view {
      display: flex;
      align-items: center;
      margin-bottom: 10px;
      background: #083f55;
      height: calc(20% - 10px);
      width: 100%;
      border-radius: 50px;
      transition: all 1s ease-in-out 0s;
      .left {
        width: 23%;
        margin: 0 10px;
        color: #02f1fc;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
      }
      .middle {
        flex: 1;
        margin-right: 5px;
      }
    }
  }
}
::v-deep {
  .el-progress-bar__outer,
  .el-progress-bar__inner {
    border-radius: inherit;
  }
  .el-progress-bar__inner {
    position: relative;
    // background: #552d08;
    background: url("../../../../public/cockpitPage/order-bg.png") no-repeat
      center center / cover;
  }
  .setTitle-right .el-progress-bar__innerText {
    position: absolute;
    top: 2px;
    right: -66px;
    text-align: left;
    font-size: 18px;
    width: 60px;
  }
  .setTitle-left .el-progress-bar__innerText {
    color: rgb(226, 146, 27) !important;
    font-size: 18px;
    width: 60px;
  }
}
</style>
